<?php

namespace App\Models\Product;

use Illuminate\Support\Collection;

use App\Models\Invoice;
use App\Models\Service\SSL as ServiceSSL;
use App\Models\Supplier\SSL as SupplierSSL;

final class SSL extends Type
{
	protected $table = 'product_ssl';

	// The model that is referenced when this product is ordered
	protected string $order_model = ServiceSSL::class;

	// When comparing billing/pricing/charging, what metric to normalise to
	const DefaultBill = Invoice::BILL_MONTHLY;
	// The model that the supplier supplies
	const SupplierModel = SupplierSSL::class;

	/* INTERFACES */

	public function allowance(): Collection
	{
		// N/A
		return collect();
	}

	public function allowance_string(): string
	{
		// N/A
		return '';
	}

	public function hasUsage(): bool
	{
		return FALSE;
	}
}